<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Оружие и снасти'; // заголовок страницы
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
err();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<center><div class='bdeg1'><img src='160_lombard.jpg' /></div></center><link rel='stylesheet' href='style.css' type='text/css' /><dl class='mai2n'>";
$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){

$action=htmlspecialchars(trim($_GET['action']));


switch ($action){

default:
echo'Здарова, '.$user['nick'].'!<br/>';
echo'У тебя есть '.$user['gorod_money'].' зелени<br/>';
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='weapon' OR type='udo4ka' AND `uid`='".$user['id']."' LIMIT 2");
while($row=mysql_fetch_assoc($x)){

if($row['type']=='udo4ka'){
echo '<dl class="mai2n">
<dt></dt>
<b><a href="snar.php?action=prod&amp;item=1"><dt><img src="skr/019.png" />Продажа: '.$row['name'].' за '.($row['price']/2).' зелени</dt></a></b>
</TABLE></div>
';
}
if($row['type']=='weapon'){
echo '<dl class="mai2n">
<dt></dt>
<b><a href="snar.php?action=prod&amp;item=2"><dt><img src="skr/019.png" />Продажа: '.$row['name'].' за '.($row['price']/2).' зелени</dt></a></b>
</TABLE></div>
';
}

};

if($user['gorod_money']<100){
echo '<br/> У вас слишком мало зелени, чтобы что-то купить.';
}else{
echo '<br/>Наличие товара:<br/><font color="red"><b>Для рыбалки:</b></font><br/>';
echo'<dl class="mai2n">
<dt></dt>
<b>
<a href="snar.php?action=pokupka&amp;sn=1"><dt><img src="skr/019.png" />Удочка из бамбука (100 зелени)</dt></a></b>
<b>
<a href="snar.php?action=pokupka&amp;sn=2"><dt><img src="skr/019.png" />Телескопичка (150 зелени)</dt></a></b>
<b>
<a href="snar.php?action=pokupka&amp;sn=3"><dt><img src="skr/019.png" />Донка (200 зелени)</dt></a></b>
<b>
<a href="snar.php?action=pokupka&amp;sn=4"><dt><img src="skr/019.png" />Спининг (400 зелени)</dt></a></b>
<b>
<a href="snar.php?action=pokupka&amp;sn=5"><dt><img src="skr/019.png" />Закидуха (500 зелени)</dt></a></b>
<b>
<a href="snar.php?action=pokupka&amp;sn=6"><dt><img src="skr/019.png" />Электроудочка (1000 зелени)</dt></a></b>
<b>';
echo'<font color="red"><b>Для охоты:</b></font>
<a href="snar.php?action=pokupka&amp;sn=7"><dt><img src="skr/019.png" />Обрез (100 зелени)</dt></a></b>
<b>
<a href="snar.php?action=pokupka&amp;sn=8"><dt><img src="skr/019.png" />Одностволка (250 зелени)
</dt></a></b>
<b><a href="snar.php?action=pokupka&amp;sn=9"><dt><img src="skr/019.png" />Двустволка (500 зелени)
</dt></a></b>
<b><a href="snar.php?action=pokupka&amp;sn=10"><dt><img src="skr/019.png" />Калашников (1000 зелени)</dt></a></b>
<b><a href="snar.php?action=pokupka&amp;sn=11"><dt><img src="skr/019.png" />Пулемет (2000 зелени)</dt></a></b>
<b>
<a href="snar.php?action=pokupka&amp;sn=12"><dt><img src="skr/019.png" />Пушка (5000 зелени)</dt></a></b>
</TABLE></div>
';
}
break;



case 'prod':
$item=(int)$_GET['item'];
if(!$item){echo 'Пустые параметры!';break;};
if($item==1){
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE type='udo4ka' AND `uid`='".$user['id']."' LIMIT 1");
if(!mysql_num_rows($x)){echo 'У вас нет удочки!';break;};
$x=mysql_fetch_assoc($x);
$price=($x['price']/2);
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`+'$price' WHERE `id`='".$user['id']."'");
mysql_query("DELETE FROM `gorod_invent` WHERE type='udo4ka' AND `uid`='".$user['id']."' LIMIT 1");
}else{
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE type='weapon' AND `uid`='".$user['id']."' LIMIT 1");
if(!mysql_num_rows($x)){echo 'У вас нет оружия!';break;};
$x=mysql_fetch_assoc($x);
$price=($x['price']/2);
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`+'$price' WHERE `id`='".$user['id']."'");
mysql_query("DELETE FROM `gorod_invent` WHERE type='weapon' AND `uid`='".$user['id']."' LIMIT 1");
};
echo'<dl class="mai2n">
<dt></dt>
<b><a href="snar.php"><dt><img src="skr/019.png" />Продано! Вернуться</dt></a></b>
</TABLE></div>
';
break;


case 'pokupka':
$sn=(int)$_GET['sn'];
if(!$sn){echo 'Пустые параметры!';break;};
if($sn<=6){
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='udo4ka' AND `uid`='".$user['id']."'");
if(mysql_num_rows($x)>0){echo 'Сначала продайте старую удочку!';break;};
};
if($sn>6){
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='weapon' AND `uid`='".$user['id']."'");
if(mysql_num_rows($x)>0){echo 'Сначала продайте старое оружие!';break;};
};

if($sn==1){$tov='Удочка из бамбука';$price='100';$type='udo4ka';$dam=1;}
elseif($sn==2){$tov='Телескопичка';$price='150';$type='udo4ka';$dam=2;}
elseif($sn==3){$tov='Донка';$price='200';$type='udo4ka';$dam=3;}
elseif($sn==4){$tov='Спининг';$price='400';$type='udo4ka';$dam=4;}
elseif($sn==5){$tov='Закидуха';$price='500';$type='udo4ka';$dam=5;}
elseif($sn==6){$tov='Электроудочка';$price='1000';$type='udo4ka';$dam=6;}
elseif($sn==7){$tov='Обрез';$price='100';$type='weapon';$dam=1;}
elseif($sn==8){$tov='Одностволка';$price='250';$type='weapon';$dam=2;}
elseif($sn==9){$tov='Двустволка';$price='500';$type='weapon';$dam=3;}
elseif($sn==10){$tov='Калашников';$price='1000';$type='weapon';$dam=4;}
elseif($sn==11){$tov='Пулемет';$price='2000';$type='weapon';$dam=5;}
else{$tov='Пушка';$price='5000';$type='weapon';$dam=6;};


if($user['gorod_money']<$price){
echo'Нет у тебя столько зелени! Купи чё-нить подешевле.<br/>';break;};
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'$price' WHERE `id`='".$user['id']."'");
mysql_query("INSERT INTO `gorod_invent` (`uid`,`name`,`type`,`price`,`uron`)VALUES('".$user['id']."','$tov','$type','$price','$dam')");


echo '<b>Готово!</b>
<dl class="mai2n">
<dt></dt>
<b><a href="fishing.php"><dt><img src="skr/019.png" />На рыбалку
<a href="ohota.php"><dt><img src="skr/019.png" />На охоту</dt></a></b>
<b>
<a href="snar.php"><dt><img src="skr/019.png" />В магазин</dt></a></b>
</TABLE></div>';
break;





};
echo '<div class="msg"><a href="index.php">В игру</a></div></div>';
}else{echo '<div class="msg">Город закрыт администратором!</div>';};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>

